
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-platform
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "",
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-ai-brain
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "ai-brain",
      AppClientId: "APP_rafnuCAmBESIVYMH"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-base
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "base",
      AppClientId: "APP_9LY41OaKSqk2btY0"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-cms
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "cms",
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-cmsportal
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "cmsportal",
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-detection
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "detection",
      AppClientId: "APP_FDHW2VLVDWPnnOCy"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-emergency
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "emergency",
      AppClientId: "APP_aGsTAY1uMZrpKdfk"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-hyper
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "hyper",
      AppClientId: "APP_xbMkKdsbsbv8SH4w"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-logistics
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "logistics",
      AppClientId: "APP_PvdfRRRBPL8xbIwl"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-mws
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "mws",
      AppClientId: "APP_uKniXPELlRERBBwK"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-mws-admin
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "mws-admin",
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-oms
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "oms",
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-open
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "open",
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-security
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "security",
      AppClientId: "APP_JUSEMc7afyWXxvE7"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-share
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "share",
      AppClientId: "APP_4lVSVI0ZGxTssir8"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-splice
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "splice",
      AppClientId: "APP_zE0M3sTRXrCIJS8Y"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-splice-visual
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "splice-visual",
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-traffic
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "traffic",
      AppClientId: "APP_PvdfRRRBPL8xbIwl"
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/configmap.yaml
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-visualization
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "visualization",
      AppClientId: "APP_Jc8i2wOQ1t73QEJS"
    }
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-cms-portal
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "cms-portal",
      AppClientId: "APP_Jc8i2wOQ1t73QEJS"
    }
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefixcmii-suav-platform-supervisionh5
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "supervisionh5",
      AppClientId: "APP_qqSu82THfexI8PLM"
    }
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefixcmii-suav-platform-supervision
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "supervisionh",
      AppClientId: "APP_qqSu82THfexI8PLM"
    }
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-media
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "media",
      AppClientId: "APP_4AU8lbifESQO4FD6",
      AppKey: 'J9cTJG2qwq46orza'
    }
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-seniclive
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "seniclive",
      AppKey: "J9cTJG2qwq46orza"
    }
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-emergency-rescue
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "emergency",
    }
---
kind: ConfigMap
apiVersion: v1
metadata:
  name: tenant-prefix-detection
  namespace: xmyd
data:
  ingress-config.js: |-
    // 浠嶤onfigMap涓敞鍏?
    // injected from ConfigMap
    var __GlobalIngressConfig = {
      TenantEnvironment: "",
      CloudHOST: "36.134.71.138:8888",
      ApplicationShortName: "detection",
    }
---
# Source: outside-deploy/charts/all-ingress-config/templates/ingress-api-gateway.yaml
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: all-gateways-ingress
  namespace: xmyd
  labels:
    type: api-gateway
    accessmode: pulic
    helm.sh/chart: all-ingress-config-1.1.0
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 4.1.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/configuration-snippet: |
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection "Upgrade";
spec:
  rules:
    - host: fake-domain.xmyd.io
      http:
        paths:
          - path: /oms/api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-admin-gateway
              servicePort: 8080
          - path: /open/api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-open-gateway
              servicePort: 8080
          - path: /api/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-gateway
              servicePort: 8080
---
# Source: outside-deploy/charts/all-ingress-config/templates/ingress-api-gateway.yaml
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: all-apis-ingress
  namespace: xmyd
  labels:
    type: api-gateway
    accessmode: pulic
    helm.sh/chart: all-ingress-config-1.1.0
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 4.1.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/configuration-snippet: |
      proxy_set_header Upgrade $http_upgrade;
      proxy_set_header Connection "Upgrade";
spec:
  rules:
    - host: fake-domain.xmyd.io
      http:
        paths:
          - path: /?(.*)/api/warehouses/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-material-warehouse
              servicePort: 8080
---
# Source: outside-deploy/charts/all-ingress-config/templates/ingress-backend.yaml
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: backend-applications-ingress
  namespace: xmyd
  labels:
    type: backend
    accessmode: internal
    helm.sh/chart: all-ingress-config-1.1.0
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 4.1.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
spec:
  rules:
    - host: cmii-admin-data.uavcloud-xmyd.io
      http:
        paths:
            - path: /
              pathType: ImplementationSpecific
              backend:
                serviceName: cmii-admin-data
                servicePort: 8080
    - host: cmii-admin-gateway.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-admin-gateway
              servicePort: 8080
    - host: cmii-admin-user.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-admin-user
              servicePort: 8080
    - host: cmii-open-gateway.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-open-gateway
              servicePort: 8080
    - host: cmii-uav-airspace.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-airspace
              servicePort: 8080
    - host: cmii-uav-brain.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-brain
              servicePort: 8080
    - host: cmii-uav-clusters.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-clusters
              servicePort: 8080
    - host: cmii-uav-cms.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-cms
              servicePort: 8080
    - host: cmii-uav-data-post-process.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-data-post-process
              servicePort: 8080
    - host: cmii-uav-developer.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-developer
              servicePort: 8080
    - host: cmii-uav-device.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-device
              servicePort: 8080
    - host: cmii-uav-gateway.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-gateway
              servicePort: 8080
    - host: cmii-uav-industrial-portfolio.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-industrial-portfolio
              servicePort: 8080
    - host: cmii-uav-kpi-monitor.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-kpi-monitor
              servicePort: 8080
    - host: cmii-uav-live.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-live
              servicePort: 8080
    - host: cmii-uav-cloud-live.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-cloud-live
              servicePort: 8080
    - host: cmii-uav-logger.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-logger
              servicePort: 8080
    - host: cmii-uav-material-warehouse.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-material-warehouse
              servicePort: 8080
    - host: cmii-uav-mission.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-mission
              servicePort: 8080
    - host: cmii-uav-monitor.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-monitor
              servicePort: 8080
    - host: cmii-uav-mqtthandler.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-mqtthandler
              servicePort: 8080
    - host: cmii-uav-notice.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-notice
              servicePort: 8080
    - host: cmii-uav-oauth.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-oauth
              servicePort: 8080
    - host: cmii-uav-process.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-process
              servicePort: 8080
    - host: cmii-uav-security-system.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-security-system
              servicePort: 8080
    - host: cmii-uav-surveillance.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-surveillance
              servicePort: 8080
    - host: cmii-uav-user.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-user
              servicePort: 8080
    - host: cmii-uav-waypoint.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-waypoint
              servicePort: 8080
    - host: cmii-uav-alarm.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-alarm
              servicePort: 8080
    - host: cmii-uav-emergency.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-emergency
              servicePort: 8080
    - host: cmii-uav-integration.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-integration
              servicePort: 8080
    - host: cmii-suav-supervision.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-supervision
              servicePort: 8080
    - host: cmii-uav-gis-server.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-gis-server
              servicePort: 8080
    - host: cmii-uav-grid-datasource.uavcloud-xmyd.io
      http:
        paths:
          - path: /
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-grid-datasource
              servicePort: 8080
---
# Source: outside-deploy/charts/all-ingress-config/templates/ingress-frontend.yaml
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: frontend-applications-ingress
  namespace: xmyd
  labels:
    type: frontend
    accessmode: public
    helm.sh/chart: all-ingress-config-1.1.0
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 4.1.0
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
    nginx.ingress.kubernetes.io/configuration-snippet: |
      rewrite ^(/green)$ $1/ redirect;
            rewrite ^(/supervision)$ $1/ redirect;
            rewrite ^(/inspection)$ $1/ redirect;
            rewrite ^(/park)$ $1/ redirect;
            rewrite ^(/pangu)$ $1/ redirect;
            rewrite ^(/ai-brain)$ $1/ redirect;
            rewrite ^(/base)$ $1/ redirect;
            rewrite ^(/cms)$ $1/ redirect;
            rewrite ^(/cmsportal)$ $1/ redirect;
            rewrite ^(/detection)$ $1/ redirect;
            rewrite ^(/emergency)$ $1/ redirect;
            rewrite ^(/hyper)$ $1/ redirect;
            rewrite ^(/logistics)$ $1/ redirect;
            rewrite ^(/mws)$ $1/ redirect;
            rewrite ^(/mws-admin)$ $1/ redirect;
            rewrite ^(/oms)$ $1/ redirect;
            rewrite ^(/open)$ $1/ redirect;
            rewrite ^(/security)$ $1/ redirect;
            rewrite ^(/share)$ $1/ redirect;
            rewrite ^(/splice)$ $1/ redirect;
            rewrite ^(/splice-visual)$ $1/ redirect;
            rewrite ^(/traffic)$ $1/ redirect;
            rewrite ^(/visualization)$ $1/ redirect;
            rewrite ^(/communication)$ $1/ redirect;
            rewrite ^(/infrastructure)$ $1/ redirect;
            rewrite ^(/media)$ $1/ redirect;
            rewrite ^(/seniclive)$ $1/ redirect;
spec:
  rules:
    - host: fake-domain.xmyd.io
      http:
        paths:
          - path: /inspection/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /supervision/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervision
              servicePort: 9528
          - path: /supervisionh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-suav-platform-supervisionh5
              servicePort: 9528
          - path: /green/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /park/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /pangu/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /emersupport/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /infrastructure/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-cms-portal
              servicePort: 9528
          - path: /ai-brain/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-ai-brain
              servicePort: 9528
          - path: /base/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-base
              servicePort: 9528
          - path: /cms/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-cms
              servicePort: 9528
          - path: /cmsportal/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-cms-portal
              servicePort: 9528
          - path: /detection/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-detection
              servicePort: 9528
          - path: /emergency/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-emergency-rescue
              servicePort: 9528
          - path: /hyper/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-hyperspectral
              servicePort: 9528
          - path: /logistics/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-logistics
              servicePort: 9528
          - path: /mws/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-mws
              servicePort: 9528
          - path: /mws-admin/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-mws-admin
              servicePort: 9528
          - path: /oms/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-oms
              servicePort: 9528
          - path: /open/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-open
              servicePort: 9528
          - path: /security/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /share/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-share
              servicePort: 9528
          - path: /splice/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-splice
              servicePort: 9528
          - path: /splice-visual/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-splice-visual
              servicePort: 9528
          - path: /traffic/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /visualization/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-visualization
              servicePort: 9528
          - path: /communication/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
          - path: /media/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-media
              servicePort: 9528
          - path: /seniclive/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-seniclive
              servicePort: 9528
          - path: /jiangsuwenlv/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-jiangsuwenlv
              servicePort: 9528
          - path: /qinghaitourism/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-qinghaitourism
              servicePort: 9528
          - path: /securityh5/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform-securityh5
              servicePort: 9528
          - path: /fireRescue/?(.*)
            pathType: ImplementationSpecific
            backend:
              serviceName: cmii-uav-platform
              servicePort: 9528
